HTTP::Cookies::Netscape(3)

NAME
HTTP::Cookies::Netscape - access to Netscape cookies files

SYNOPSIS
 use LWP;
 use HTTP::Cookies::Netscape;
 $cookie_jar = HTTP::Cookies::Netscape->new(
   file => "c:/program files/netscape/users/ZombieCharity/cookies.txt",
 );
 my $browser = LWP::UserAgent->new;
 $browser->cookie_jar( $cookie_jar );

DESCRIPTION
This is a subclass of "HTTP::Cookies" that reads (and optionally writes) Netscape/Mozilla cookie files.

See the documentation for HTTP::Cookies.

CAVEATS
Please note that the Netscape/Mozilla cookie file format can't store all the information available in the Set-Cookie2 headers, so you will probably lose some information if you save in this format.

At time of writing, this module seems to work fine with Mozilla Phoenix/Firebird.

SEE ALSO
HTTP::Cookies::Microsoft

COPYRIGHT
Copyright 2002-2003 Gisle Aas

This library is free software; you can redistribute it and/or modify it under the same terms as Perl itself.